Gentoo Archives: gentoo-commits

From: Sebastien Fabbro <bicatali@g.o>
To: gentoo-commits@l.g.o
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/pytest-mpl/
Date: Mon, 31 Jul 2017 20:46:52
Message-Id: 1501533984.797a041e9a9bab0d846d087f50b5f14dfc95ae7d.bicatali@gentoo
commit:     797a041e9a9bab0d846d087f50b5f14dfc95ae7d
Author:     S├ębastien Fabbro <bicatali <AT> gentoo <DOT> org>
AuthorDate: Mon Jul 31 19:43:55 2017 +0000
Commit:     Sebastien Fabbro <bicatali <AT> gentoo <DOT> org>
CommitDate: Mon Jul 31 20:46:24 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=797a041e

dev-python/pytest-mpl: version bump

Package-Manager: Portage-2.3.6, Repoman-2.3.3

 dev-python/pytest-mpl/Manifest              |  1 +
 dev-python/pytest-mpl/pytest-mpl-0.8.ebuild | 31 +++++++++++++++++++++++++++++
 2 files changed, 32 insertions(+)

diff --git a/dev-python/pytest-mpl/Manifest b/dev-python/pytest-mpl/Manifest
index e7227650485..228d945d816 100644
--- a/dev-python/pytest-mpl/Manifest
+++ b/dev-python/pytest-mpl/Manifest
@@ -1,2 +1,3 @@
 DIST pytest-mpl-0.5.tar.gz 112523 SHA256 fee0da4a81e2a3e966cf6488a6bcc81a144688e145048ad1f66799a25135dad3 SHA512 9056982403994572a33c861ebe0d7bbcb48579ef95f7cf93f716f06510fa09c187a8daad0ed4a55667444b74461a5a02d7f9217d89de57f3cc10116c88aaa662 WHIRLPOOL 4416015f78113bcfc74119a8a04fa55385e496395be9af2e7bcda317ac846744e0bf1221e18eac28efdc5a2b5a5305b2eaa25eef4c8c1051e1949702e92768d6
 DIST pytest-mpl-0.7.tar.gz 243763 SHA256 cc975b5b905826bd1a04f780ca4a3309b309e5f5eb7824c2cf9252ee878668b7 SHA512 90cb30b21286a87fbb08286ea80ec8278cffb7cae4be626bac2712c056f75e497767a425b1b657387bfac107ece6cf3035e4ff3d5676d85bc9dd327feb739063 WHIRLPOOL 238528e8d206f1d57968946e89c9727dafea2b5e9220ec6a57ad25b867c16d20ce4ba9a3c0cc654e54e1c79fe457f551123b47d1bbc3705fe78d2d8a165149bf
+DIST pytest-mpl-0.8.tar.gz 194633 SHA256 d8c67a781cfd011fd9f20cb5a957f62701afcc5b44685c98369e1c22df960ccd SHA512 4f5f1316d0f545383b9125281b91d9077b52bfa7d91b4eb2f64c6f9642b1abe86c52c9b88171a521d806e579ab9279f49d1405b3f4fcae58a9e75ec5518bacca WHIRLPOOL fa0aae95a7ec0abcb2782d2fe5fa98eb31e279077143c66066a4783242e6b5c9b79b5b5ff32affd41baed1f53c42e0948032dd4acc9a38c8ba81c3a76da225bc

diff --git a/dev-python/pytest-mpl/pytest-mpl-0.8.ebuild b/dev-python/pytest-mpl/pytest-mpl-0.8.ebuild
new file mode 100644
index 00000000000..866279f7b95
--- /dev/null
+++ b/dev-python/pytest-mpl/pytest-mpl-0.8.ebuild
@@ -0,0 +1,31 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+PYTHON_COMPAT=( python{2_7,3_{4,5,6}} )
+
+inherit distutils-r1 virtualx
+
+DOCS=( README.rst CHANGES.md )
+
+DESCRIPTION="pytest plugin to faciliate image comparison for matplotlib figures"
+HOMEPAGE="https://github.com/astrofrog/pytest-mpl/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+IUSE=""
+
+RDEPEND="
+	dev-python/matplotlib[${PYTHON_USEDEP}]
+	dev-python/nose[${PYTHON_USEDEP}]
+	dev-python/pytest[${PYTHON_USEDEP}]"
+DEPEND="${RDEPEND}
+	dev-python/setuptools[${PYTHON_USEDEP}]"
+
+python_test() {
+	echo "backend : Agg" > "${T}"/matplotlibrc || die
+	MPLCONFIGDIR="${T}" virtx py.test -v || die
+}